### Method

# FwupdPlugin Device get_backend_parent

#### Declaration [src]

    FuDevice*
    fu_device_get_backend_parent (
      FuDevice* self
      GError** error
    )

#### Description [src]

Creates a device parent (of the correct type) using the current backend.

NOTE: The backend must implement `FuBackendClass->get_device_parent` for this method to work — for cases where the plugin has created both parent and child, and used `fu_device_add_child()`, using `fu_device_get_parent()` is probably more appropriate.

Available since: | 2.0.0

#### Return value

Returns: | `FuDevice`
| A `FuDevice` or `NULL` if not found or unimplemented.
| The caller of the method takes ownership of the data, and is responsible for freeing it.